#include "disp.h"
#include "entity.h"
#include <gint/display.h>
#include <gint/keyboard.h>

int
main(void)
{
	struct Entity player;
	struct Entity enemy;

	/* init */
	disp_init();
	player = entity_p_init();
	enemy = entity_e_init();

	disp_print("Hello, World!\n");
	disp_print("Draw me an unicorn!\n");
	disp_print("<Hackcell> UwU\n");
	entity_print_desc(player);
	entity_print_desc(enemy);

	dclear(C_WHITE);
	disp_display();
	dupdate();

	getkey();
	return 1;
}
