#include "entity.h"

static struct Entity entity_init(enum Species head, enum Species body,
                                 enum Species arms, enum Species legs);

struct Entity
entity_p_init(void)
{
	return entity_init(HUMAN, HUMAN, HUMAN, HUMAN);
}

struct Entity
entity_e_init(void)
{
	return entity_init(SPIDER, SPIDER, VOID, SPIDER);
}

static struct Entity
entity_init(enum Species head, enum Species body, enum Species arms,
            enum Species legs)
{
	return (struct Entity){
	    .body = {head, body, arms, legs},
	};
}
